{# This means your page inherit from an existing template, it will already contains some html and allow to override what's inside the "blocks" #}
{% extends 'base.html.twig' %}

{% trans_default_domain 'Card' %}

{% set card = cardFactory.loadCard(cardId) %}
{% set cardId = card.id %}
{% set cardElement = card.element.value %}
{% set cardType = card.type.value %}
{% set cardRarity = card.rarity.value %}
{% set cardName = (cardId ~ '.name') | trans | raw %}

{% block content %}
    <td id="center">
        <div id="msg">
        </div>

        <div id="fauxrhum">
            <h1 class="emc2">{{ cardName }}</h1>

            <input name="id" type="hidden" id="id" value="null">

            <div id="aCard">
                {{ include('Card/card.html.twig', { 'card': card, 'showCard': true }) }}

                <div class="cardInfo">
                    <div id="leftDesc">
						<span onmouseover="showTip(this,'Type', '{{ ('type.' ~ cardType) | trans }}');" onmouseout="hideTip()">
                            <img class="icon" alt="icon {{ cardType }}" src="{{ asset('img/gfx/icons/icon_' ~ cardType ~ '.gif') }}">
                        </span>

                        <span onmouseover="showTip(this,'Elément', 'L\'élément <b>{{ ('element.' ~ cardElement) | trans }}</b>.');" onmouseout="hideTip()">
                            <img class="icon" alt="icon {{ cardElement }}" src="{{ asset('img/gfx/icons/element_' ~ cardElement ~ '.gif') }}">
                        </span>

                        <span onmouseover="showTip(this,'Rareté', 'Cette carte est {{ ('rarity.' ~ cardRarity) | trans }}.');" onmouseout="hideTip()">
                            <img class="icon" alt="icon {{ cardRarity }}" src="{{ asset('img/gfx/icons/icon_' ~ cardRarity ~ '.gif') }}">
                        </span>

                        {% if card.keywords | length > 0 %}
                            <div class="borderBrown">
                                <div class="borderWhite">
                                    <p>
                                        {% for keyword in card.keywords %}
                                            {% set keywordName = keyword.value %}
                                            {% set name = ('capacities.' ~ keywordName ~ '.name') | trans %}
                                            <span class="capacities"
                                                  onmouseover="showTip(this,'{{ name }}', '{{ ('capacities.' ~ keywordName ~ '.tooltip') | trans }}');"
                                                  onmouseout="hideTip()">
                                            <b>{{ name }}</b>
                                        </span>
                                            {% if loop.last == false %}
                                                ,
                                            {% endif %}
                                        {% endfor %}
                                </div>
                            </div>
                        {% endif %}

                        {% if cardType != "dinoz" or card.effects | length > 0 %}
                            <div class="borderBrown">
                                <div class="borderWhite">
                                    <p>{{ (cardId ~ '.effects') | trans | raw }}</p>
                                </div>
                            </div>
                        {% endif %}

                        {% set lore = (cardId ~ '.lore') | trans | raw %}
                        {% if lore != "" %}
                            <div class="borderBrown">
                                <div class="borderWhite">
                                    <p>
                                        <i>{{ lore }}</i>
                                    </p>
                                </div>
                            </div>
                        {% endif %}

                        {# TODO Card Author #}
                        <div class="borderBrown">
                            <div class="borderWhite">
                                <p>
                                    <img class="icon" alt="icon Ciel" src="{{ asset('img/gfx/icons/icon_dinoz_' ~ cardElement ~ '.gif') }}">
                                    Auteur :
                                    TODO replace by Author
                                </p>
                            </div>
                        </div>

                        {# TODO Card Edition #}
                        <div class="borderBrown">
                            <div class="borderWhite">
                                <p>
                                    <img class="icon" alt="icon Ciel" src="{{ asset('img/gfx/icons/icon_dinoz_' ~ cardElement ~ '.gif') }}">
                                    TODO replace by Expansion
                                </p>
                            </div>
                        </div>

                        {% if card.isDebug %}
                        <div class="borderBrown">
                            <div class="borderWhite">
                                <p>
                                    <img class="icon" alt="icon Ciel" src="{{ asset('img/gfx/icons/icon_warning.gif') }}">
                                    Carte debug/test
                                </p>
                            </div>
                        </div>
                        {% endif %}
                    </div>

                    <div id="rightDesc">
                        {# TODO Implement all Card Actions #}
                        <a href="/card/wish/{{ cardId }}"
                           class="button"
                           onmouseover="showTip(this,'Je veux cette carte !', 'Ajoute <b>{{ cardName }}</b> à votre liste de cartes recherchées.<br />Les autres joueurs pourront voir que vous recherchez cette carte sur votre fiche.');"
                           onmouseout="hideTip()"> TODO
                            <img class="icon" alt="icon exchange" src="{{ asset('img/gfx/icons/whishlist_add.gif') }}">
                        </a>
                        &nbsp;
                        <a href="/forum/fTheme/id=6"
                            class="button"
                            onmouseover="showTip(this,'Envie d\'échanger cette carte ?', 'Si vous recherchez ou échangez cette carte, rendez-vous dans le <b>forum Echanges</b> pour trouver des joueurs intéressés.');"
                            onmouseout="hideTip()">
                            TODO
                            {# Aller au forum Echanges #}
                        </a>
                        &nbsp;
                        <a href="{{ path('app_onboarding_help') }}#cards"
                            class="helpBox2"
                            onmouseover="showTip(this,'Aide sur les cartes', 'Si cette carte ne vous semble pas claire, cliquez pour accéder à l\'aide.');"
                            onmouseout="hideTip()">
                            aide
                        </a>

                        {# TODO Card Stats #}

                        <div class="borderBrown">
                            <div class="borderWhite">
                                <p>
                                    Stats are coming soon...
                                </p>
                                {#
                                <p>
                                    0 exemplaire
                                    dans votre <a href="/card/viewAll">collection</a></p>
                                <p>
                                    0 carte
                                    dans mes decks </p>
                                <p>
                                    0 carte
                                    échangeable
                                </p>
                                #}
                            </div>
                        </div>
                    </div>

                </div>
            </div>

            {# TODO Discussion #}
            {#
            <h2>Discussion</h2>

            <p class="txt">
                Ce sujet est réservé aux discussions relatives à la carte <b>Nuage burger</b>.<br>
                Les <b>propositions d'échanges seront supprimées</b>. Rendez-vous sur le <a href="/forum/fTheme?id=6"> forum Echanges</a> pour cela.
            </p>
            #}

            {# TODO Thread per card #}
            {#
            <div id="fauxRhum">
                <table class="forumTab">
                    <tbody><tr>
                        <td class="avatarBox"><div class="avatar">
                                <div id="av1078069"></div>
                                <script type="text/javascript">
                                    //<![CDATA[

                                    var swf = new SWFObject('http://data.dinocard.net/swf/portrait.swf', 'game', 60, 84, 7, 'FFFFFF');
                                    swf.addVariable('url', 'http://data.dinocard.net/swf/avatar.swf');
                                    swf.addVariable('face', '0;0;0;4;11;9');
                                    swf.addVariable('flip', '2');
                                    swf.addParam('wmode', 'transparent');
                                    swf.addParam('menu', 'false');
                                    swf.write("av1078069");
                                    //]]>
                                </script>
                            </div> </td>

                        <td class="thread">
                            <div class="author">
                                <div class="ranking">
                                    <img alt="Classement" src="/gfx/gui/ranking.gif" title="Classement">
                                    63596
                                </div>
                                <div class="threadAuthor">
                                    <a href="/user/info?id=482687" class="user">pierreber</a>&nbsp;
                                </div>
                                <div class="time">
                                    2012-04-23 14:27:48

                                </div>
                            </div>
                            <p>sa m'enerve moi je les pas <img src="http://data.dinocard.net/gfx/forum/icon_nooo.gif" alt=":noon:"> <img src="http://data.dinocard.net/gfx/forum/icon_chart.gif" alt=":charte:"></p>
                        </td>
                    </tr>

                    <tr>
                        <td class="avatarBox"><div class="avatar">
                                <div id="av1086959"></div>
                                <script type="text/javascript">
                                    //<![CDATA[

                                    var swf = new SWFObject('http://data.dinocard.net/swf/portrait.swf', 'game', 60, 84, 7, 'FFFFFF');
                                    swf.addVariable('url', 'http://data.dinocard.net/swf/avatar.swf');
                                    swf.addVariable('face', '3;4;5;0;2;1');
                                    swf.addVariable('flip', '2');
                                    swf.addParam('wmode', 'transparent');
                                    swf.addParam('menu', 'false');
                                    swf.write("av1086959");
                                    //]]>
                                </script>
                            </div> </td>

                        <td class="thread">
                            <div class="author">
                                <div class="ranking">






                                    <img alt="Classement" src="/gfx/gui/ranking.gif" title="Classement">




                                    63659</div>


                                <div class="threadAuthor">

                                    <a href="/user/info?id=483755" class="user">mario02</a>&nbsp;

                                </div>
                                <div class="time">
                                    2012-06-29 23:16:14

                                </div>
                            </div>
                            <p>elle est trop bonne cette carte<img src="http://data.dinocard.net/gfx/forum/icon_yeah.gif" alt=":youpi:"> <img src="http://data.dinocard.net/gfx/forum/icon_yeah.gif" alt=":youpi:"> <img src="http://data.dinocard.net/gfx/forum/icon_yeah.gif" alt=":youpi:"> <img src="http://data.dinocard.net/gfx/forum/icon_lol.gif" alt=":lol:"> <img src="http://data.dinocard.net/gfx/forum/icon_lol.gif" alt=":lol:"></p>
                        </td>
                    </tr>

                    <tr>
                        <td class="avatarBox"><div class="avatar">
                                <div id="av1090348"></div>
                                <script type="text/javascript">
                                    //<![CDATA[

                                    var swf = new SWFObject('http://data.dinocard.net/swf/portrait.swf', 'game', 60, 84, 7, 'FFFFFF');
                                    swf.addVariable('url', 'http://data.dinocard.net/swf/avatar.swf');
                                    swf.addVariable('face', '7;0;3;6;0;11');
                                    swf.addVariable('flip', '2');
                                    swf.addParam('wmode', 'transparent');
                                    swf.addParam('menu', 'false');
                                    swf.write("av1090348");
                                    //]]>
                                </script>
                            </div> </td>

                        <td class="thread">
                            <div class="author">
                                <div class="ranking">






                                    <img alt="Classement" src="/gfx/gui/ranking.gif" title="Classement">




                                    50663</div>


                                <div class="threadAuthor">

                                    <a href="/user/info?id=469919" class="user">nat97</a>&nbsp;

                                </div>
                                <div class="time">
                                    2012-08-31 16:25:21

                                </div>
                            </div>
                            <p>Elle peut en effet être très utile !!!<img src="http://data.dinocard.net/gfx/forum/icon_yeah.gif" alt=":youpi:"></p>
                        </td>
                    </tr>

                    <tr>
                        <td class="avatarBox"><div class="avatar">
                                <div id="av1117395"></div>
                                <script type="text/javascript">
                                    //<![CDATA[

                                    var swf = new SWFObject('http://data.dinocard.net/swf/portrait.swf', 'game', 60, 84, 7, 'FFFFFF');
                                    swf.addVariable('url', 'http://data.dinocard.net/swf/avatar.swf');
                                    swf.addVariable('face', '7;0;4;4;11;11');
                                    swf.addVariable('flip', '2');
                                    swf.addParam('wmode', 'transparent');
                                    swf.addParam('menu', 'false');
                                    swf.write("av1117395");
                                    //]]>
                                </script>
                            </div> </td>

                        <td class="thread">
                            <div class="author">
                                <div class="ranking">






                                    <img alt="Classement" src="/gfx/gui/ranking.gif" title="Classement">




                                    22635</div>


                                <div class="threadAuthor">

                                    <a href="/user/info?id=488609" class="user">Pacte</a>&nbsp;

                                </div>
                                <div class="time">
                                    2015-09-26 11:26:47

                                </div>
                            </div>
                            <p>Très utile mais je peux pas encore la mettre en bonus pour le moment</p>
                        </td>
                    </tr>

                    <tr>
                        <td class="avatarBox"><div class="avatar">
                                <div id="av1118334"></div>
                                <script type="text/javascript">
                                    //<![CDATA[

                                    var swf = new SWFObject('http://data.dinocard.net/swf/portrait.swf', 'game', 60, 84, 7, 'FFFFFF');
                                    swf.addVariable('url', 'http://data.dinocard.net/swf/avatar.swf');
                                    swf.addVariable('face', '3;0;1;3;4;0');
                                    swf.addVariable('flip', '2');
                                    swf.addParam('wmode', 'transparent');
                                    swf.addParam('menu', 'false');
                                    swf.write("av1118334");
                                    //]]>
                                </script>
                            </div> </td>

                        <td class="thread">
                            <div class="author">
                                <div class="ranking">






                                    <img alt="Classement" src="/gfx/gui/ranking.gif" title="Classement">




                                    32961</div>


                                <div class="threadAuthor">

                                    <a href="/user/info?id=175378" class="user">tutunis</a>&nbsp;

                                </div>
                                <div class="time">
                                    2017-03-08 23:53:00

                                </div>
                            </div>
                            <p>if(now()=sysdate(),sleep(16),0 )/*'XOR(if(now()=sysdate(),sle ep(16),0))OR'"XOR(if(now()=sys date(),sleep(16),0))OR"*/</p>
                        </td>
                    </tr>

                    <tr>
                        <td class="avatarBox"><div class="avatar">
                                <div id="av1118335"></div>
                                <script type="text/javascript">
                                    //<![CDATA[

                                    var swf = new SWFObject('http://data.dinocard.net/swf/portrait.swf', 'game', 60, 84, 7, 'FFFFFF');
                                    swf.addVariable('url', 'http://data.dinocard.net/swf/avatar.swf');
                                    swf.addVariable('face', '3;0;1;3;4;0');
                                    swf.addVariable('flip', '2');
                                    swf.addParam('wmode', 'transparent');
                                    swf.addParam('menu', 'false');
                                    swf.write("av1118335");
                                    //]]>
                                </script>
                            </div> </td>

                        <td class="thread">
                            <div class="author">
                                <div class="ranking">






                                    <img alt="Classement" src="/gfx/gui/ranking.gif" title="Classement">




                                    32961</div>


                                <div class="threadAuthor">

                                    <a href="/user/info?id=175378" class="user">tutunis</a>&nbsp;

                                </div>
                                <div class="time">
                                    2017-03-08 23:53:00

                                </div>
                            </div>
                            <p>(select(0)from(select(sleep(16 )))v)/*'+(select(0)from(select (sleep(16)))v)+'"+(select(0)fr om(select(sleep(16)))v)+"*/</p>
                        </td>
                    </tr>

                    <tr>
                        <td class="avatarBox"><div class="avatar">
                                <div id="av1118419"></div>
                                <script type="text/javascript">
                                    //<![CDATA[

                                    var swf = new SWFObject('http://data.dinocard.net/swf/portrait.swf', 'game', 60, 84, 7, 'FFFFFF');
                                    swf.addVariable('url', 'http://data.dinocard.net/swf/avatar.swf');
                                    swf.addVariable('face', '5;0;5;4;5;1');
                                    swf.addVariable('flip', '2');
                                    swf.addParam('wmode', 'transparent');
                                    swf.addParam('menu', 'false');
                                    swf.write("av1118419");
                                    //]]>
                                </script>
                            </div> </td>

                        <td class="thread">
                            <div class="author">
                                <div class="ranking">






                                    <img alt="Classement" src="/gfx/gui/ranking.gif" title="Classement">




                                    64028</div>


                                <div class="threadAuthor">

                                    <a href="/user/info?id=444555" class="user">polboiv</a>&nbsp;

                                </div>
                                <div class="time">
                                    2017-05-10 23:40:29

                                </div>
                            </div>
                            <p><img src="http://data.dinocard.net/gfx/forum/icon_chart.gif" alt=":charte:"> ??<img src="http://data.dinocard.net/gfx/forum/icon_chart.gif" alt=":charte:"> j'ai pas compris <img src="http://data.dinocard.net/gfx/forum/element_thunder.gif" alt="[foudre]"> <img src="http://data.dinocard.net/gfx/forum/element_thunder.gif" alt="[foudre]"> <img src="http://data.dinocard.net/gfx/forum/element_thunder.gif" alt="[foudre]"> <img src="http://data.dinocard.net/gfx/forum/element_thunder.gif" alt="[foudre]"> <img src="http://data.dinocard.net/gfx/forum/element_thunder.gif" alt="[foudre]"> <img src="http://data.dinocard.net/gfx/forum/element_thunder.gif" alt="[foudre]"></p>
                        </td>
                    </tr>

                    <tr>
                        <td class="avatarBox"><div class="avatar">
                                <div id="av1118420"></div>
                                <script type="text/javascript">
                                    //<![CDATA[

                                    var swf = new SWFObject('http://data.dinocard.net/swf/portrait.swf', 'game', 60, 84, 7, 'FFFFFF');
                                    swf.addVariable('url', 'http://data.dinocard.net/swf/avatar.swf');
                                    swf.addVariable('face', '3;0;2;4;3;0');
                                    swf.addVariable('flip', '2');
                                    swf.addParam('wmode', 'transparent');
                                    swf.addParam('menu', 'false');
                                    swf.write("av1118420");
                                    //]]>
                                </script>
                            </div> </td>

                        <td class="thread">
                            <div class="author">
                                <div class="ranking">






                                    <img alt="Classement" src="/gfx/gui/ranking.gif" title="Classement">




                                    2578</div>


                                <div class="threadAuthor">

                                    <a href="/user/info?id=445649" class="user">poloile</a>&nbsp;

                                </div>
                                <div class="time">
                                    2017-05-10 23:41:25

                                </div>
                            </div>
                            <p><img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"> <img src="http://data.dinocard.net/gfx/forum/icon_picori.gif" alt="o_o"></p>
                        </td>
                    </tr>


                    </tbody></table>
                <ul class="actionbar">
                    <li><a href="/forum/fReply?id=16111">Répondre</a></li>
                    <li><a href="/forum/fTheme?id=5">Aller au forum Cartes</a></li>
                </ul>
            </div>
            <div class="paginate"><div class="currentpage"> Page 7/7</div><ul><li><a class="back" href="http://www.dinocard.net/card/view?page=6;id=134"><span> &lt; </span></a></li><li><a href="http://www.dinocard.net/card/view?page=1&amp;id=134"><span>1</span></a></li><li><a href="http://www.dinocard.net/card/view?page=2&amp;id=134"><span>2</span></a></li><li><a href="http://www.dinocard.net/card/view?page=3&amp;id=134"><span>3</span></a></li><li><a href="http://www.dinocard.net/card/view?page=4&amp;id=134"><span>4</span></a></li><li><a href="http://www.dinocard.net/card/view?page=5&amp;id=134"><span>5</span></a></li><li><a href="http://www.dinocard.net/card/view?page=6&amp;id=134"><span>6</span></a></li><li><div class="activepage"> <strong>7</strong></div></li><li><div class="next_disable"><span>&gt;</span></div></li></ul></div>
            #}
            {# TODO Moderator tool #}
            {#
            <form id="banForm" method="get" action="/user/banHim">
                <input name="id" type="hidden" id="banId">
                <input name="t" type="hidden" id="banT">
                <input name="banMessage" type="hidden" id="banWhy">
            </form>
            #}
        </div>
    </td>
{% endblock %}